<template>
    <div class="backdrop">
        <div class="modal">
         <h3>Welcome to mini game slap the corruptor</h3>
         <div class="form">
             <input v-model="username" placeholder="Input Username"/>
             <button class="submit" @click="persist() ; closeModal()" :disabled="!username" :style="{cursor : !username ? 'not-allowed': 'pointer'}">Submit</button>
         </div>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            username :"",
            showError : ""
        }
    },
   methods: {
        closeModal(){
            this.$emit('close')
        },
        persist(){
          localStorage.username = this.username
          setTimeout(() => {
              this.closeModal()
          }, 10);
        }
    },
}
</script>

<style >
    .modal .form{
        display: flex;
        justify-content: center;
        flex-direction: column;
        padding: 10px;
        margin: 40px;
        margin-top: 30px;
    } 
    .form input{
        border: none;
        margin: auto;
        border-bottom:2px solid rgb(192, 192, 192);
        width: 200px;
        height: 30px;
        font-size: 13pt;
        margin-bottom: 10px;
    }
    .form input:focus{
        border-bottom: 2px solid #f77643;
        width: 200px;
        height: 30px;
        color : #585858;
        transition: border-bottom 0.5s ease;
    }
    .form .submit{
        background: none;
        border: 2px solid #f77643;
        width: 150px;
        font: inherit;
        line-height: 1;
        margin: 0.5em;
        margin: auto;
        border-radius: 5px;
        padding: 1em 0em;
        cursor: pointer;
    }
  
    .submit:hover{
        box-shadow: inset 12em 0 0 0 #f77643;
        transition: linear 0.3s;
        color : #fff
    }

    .modal{
        width :300px;
        height: auto;
        margin: 100px auto;
        padding: 20px;
        background: #fff;
        border-radius: 10px;
        animation: show .2s;
        z-index: 99;
        position: relative;
        transform: scale(1);
    }
    @media only screen and (max-width: 600px) {
        .modal{
        width :340px;
        height: auto;
        margin: 100px auto;
        padding: 20px;
        background: #fff;
        border-radius: 10px;
        animation: show .2s;
        z-index: 99;
        position: relative;
        transform: scale(1);
    }

    }
    .backdrop{
        top:0;
        position: fixed;
        z-index: 10;
        background: rgba(0, 0 , 0, 0.5);
        width: 100%;
        height: 100vh;
    }

    @keyframes show {
        from{
            transform: scale(0);
            opacity:0;
            z-index:-1;
        }to{
            transform: scale(1);
            opacity: 1;
            z-index:2;
        }
    }


   
</style>